Skip to main content

Upload agent volatile knowledge from base64

POST 

/api/v2/agent/:agentCode/volatileKnowledge/upload/base64

Upload agent volatile knowledge from base64

Request

Path Parameters

    agentCode stringrequired

    The code of the agent this volatile knowledge belongs to.

Query Parameters

    culture string

    Use this param to override the culture of the response. Options: - en (default) - es

Body

Contains the file name, MIME type, base64 content and upload options.

    fileName stringrequired

    Possible values: non-empty

    mimeType stringrequired

    Possible values: non-empty

    contentBase64 stringrequired

    Possible values: non-empty

    callbackUrl urinullable
    noExpiration boolean
    expirationDays int32nullable
    processEmbeddings boolean

Responses

OK

Loading...